# Interface ImaDaiConfiguration

interface ImaDaiConfiguration {
hideOverlays: boolean;
sdkUrl: string;
skipPlayedAds: boolean;
}

#####
Index

### Properties

hideOverlays
sdkUrl
skipPlayedAds

## Properties

### hideOverlays

hideOverlays: boolean

If true, it hides overlays while ads are playing. Defaults to `false`

### sdkUrl

sdkUrl: string

The URL of your self-hosted IMA DAI SDK. Defaults to `'//imasdk.googleapis.com/js/sdkloader/ima3_dai.js'`

### skipPlayedAds

skipPlayedAds: boolean

Whether to skip over ads that have already played when seeking. Defaults to `true`